# Update phase

Updates the matching phase. 

> Note: If you want the phase to inherit the parent project bill rates, set use_parent_bill_rates to true in your request body.

Endpoint: PUT /projects/{project_id}/phases/{phase_id}
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `project_id` (integer, required)
    Unique identifier of the parent project instance.
    Example: 1234567

  - `phase_id` (integer, required)
    Unique identifier of the phase instance.
    Example: 45678901

## Request fields (application/json):

  - `archived` (boolean)
    true if the phase is archived; false otherwise.
    Example: true

  - `description` (string)
    Describes the phase.
    Example: "Plan everything we must do to get this project done."

  - `name` (string)
    Phase name.
    Example: "PH001: Plan Phase"

  - `project_code` (string)
    A code for referencing the project phase.
    Example: "PH001"

  - `ends_at` (string)
    The phase's ending date.
    Example: "2025-05-29"

  - `starts_at` (string)
    The phase's starting date.
    Example: "2025-01-27"

  - `use_parent_bill_rates` (boolean)
    If true, the phase uses the parent project's bill rates.
    Example: true

  - `phase_name` (string)
    Name of the phase.
    Example: "Plan"

## Response 200 fields (application/json):

  - `id` (integer)
    Unique identifier for the phase instance.
    Example: 45678901

  - `archived` (boolean)
    true if the phase is archived; false otherwise.

  - `archived_at` (string)
    Date the phase was archived.

  - `description` (string)
    Describes the phase.
    Example: "Plan everything we must do to get this project done."

  - `guid` (string)
    Globally Unique Identifier for the user.
    Example: "d9d0de8f-32cc-4c0b-8af1-648ce039e3f6"

  - `name` (string)
    Phase name.
    Example: "PH001: Plan Phase"

  - `parent_id` (integer)
    If this project has a parent project, this is the parent project ID; otherwise, null.
    Example: 821065

  - `project_code` (string)
    A code for referencing the project phase.
    Example: "PH001"

  - `secureurl` (string)
    A secure URL to the parent project.
    Example: "https://smartsheet.com/some/path"

  - `secureurl_expiration` (string)
    The date (in UTC) when the secure URL expires.
    Example: "3000-01-01T00:00:00Z"

  - `timeentry_lockout` (integer)
    The lockout indicates whether the project locks out new time entries and, if so, the number of days previous that entries are locked.

Valid values:

| Value | Description |
| ------------- | --------------- |
| -1 | Not locked |
| 0 | Locked for all entries |
| Integer greater than or equal to 1. For example, 7. | If 7, for example, then the project is locked for entries more than 7 calendar days older than the date when this value was set. |

Note: We don't support setting this property to a date.

Note: A project's [phases](/api/resource_management/openapi/phases) inherit the project's timeentry_lockout.

  - `ends_at` (string)
    The phase's ending date.
    Example: "2025-05-29"

  - `starts_at` (string)
    The phase's starting date.
    Example: "2025-01-27"

  - `deleted_at` (string)
    If set, it's the date and time the user was archived; otherwise, the user is active.

  - `created_at` (string)
    The phase's creation date.
    Example: "2025-01-22T06:00:30Z"

  - `updated_at` (string)
    Date of the most recent modification.
    Example: "2025-01-22T06:13:40Z"

  - `use_parent_bill_rates` (boolean)
    If true, the phase uses the parent project's bill rates.

  - `type` (string)
    The object type.
    Example: "Project"

  - `project_state_id` (integer)
    Example: 8544040

  - `thumbnail` (string)
    A thumbnail image for the project. 

Note: you can't set a thumbnail for a project via the API -- to add a thumbnail, use the application UI.
    Example: "https://10kftprojectimages.s3.amazonaws.com/a62ffd30-316f-4cb6-9c7f-eca45d07a35d/499af1a7-bc6b-446f-8535-4472e6159246.png"

  - `owner_id` (integer)
    Phase owner ID.
    Example: 11223344

  - `owner_name` (string)
    Phase owner name.
    Example: "Jane Doe"

  - `phase_name` (string)
    Name of the phase.
    Example: "Plan"

  - `has_pending_updates` (boolean)
    true if the phase has pending updates; false otherwise.

  - `client` (string)
    Client name.
    Example: "Your Client"

  - `project_state` (string)
    Describes the state of the project.
    Enum: "Confirmed", "Tentative", "Internal"

  - `tags` (object)

  - `tags.paging` (object)

  - `tags.paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `tags.paging.page` (integer)
    The current response page number.
    Example: 1

  - `tags.paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `tags.paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `tags.paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `tags.paging.count` (integer,null)
    The total number of items in all the pages.

  - `tags.data` (array)

  - `tags.data.id` (integer)
    Unique identifier for the resource instance.
    Example: 1234567

  - `tags.data.value` (string, required)
    Tag name.
    Example: "New"


